package com.qmth.distributed.print.business.bean.result;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.qmth.teachcloud.common.bean.dto.PrivilegeDto;
import com.qmth.teachcloud.common.entity.SysRole;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 自定义菜单result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/8/24
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class CustomPrivilegeResult implements Serializable {

    @ApiModelProperty(value = "自定义菜单")
    List<PrivilegeDto> customPrivilegeList;

    @ApiModelProperty(value = "自定义角色")
    List<SysRole> customRoleList;

    public CustomPrivilegeResult() {

    }

    public CustomPrivilegeResult(List<PrivilegeDto> customPrivilegeList) {
        this.customPrivilegeList = customPrivilegeList;
    }

    public List<PrivilegeDto> getCustomPrivilegeList() {
        return customPrivilegeList;
    }

    public void setCustomPrivilegeList(List<PrivilegeDto> customPrivilegeList) {
        this.customPrivilegeList = customPrivilegeList;
    }

    public List<SysRole> getCustomRoleList() {
        return customRoleList;
    }

    public void setCustomRoleList(List<SysRole> customRoleList) {
        this.customRoleList = customRoleList;
    }
}
